import type { PluginAPI, ProjectOptions } from '@vue/cli-service';
export declare type BasePluginOption = {
    /**
     * @description 是否启用 eslint 前置检查
     * @default false
     */
    eslint?: boolean;
    /**
     * @description 是否使用 fork-ts-checker 插件
     * @default true
     * @see https://github.com/TypeStrong/fork-ts-checker-webpack-plugin#Options
     */
    forkTsChecker: boolean | Record<string, any>;
    /**
     * @description cross-env 版本
     * @default ^7.0.3
     */
    crossEnvVersion?: string;
    [key: string]: any;
};
/**
 * 默认插件配置
 */
export declare const DEFAULT_BASE_PLUGIN_OPTION: BasePluginOption;
declare const _default: (api: PluginAPI, projectOptions: ProjectOptions) => void;
/**
 * service 插件
 * @param api
 * @param projectOptions
 */
export default _default;
